Home Assistant Community

Upgrade Permissions issues. Please help

#1

I am still fighting to get a working version of Home Assistant up and running. I am now trying to run the upgrade to see if it gets me close to a working version. I am getting permission errors in the upgrade.

What I have put in bold is where the issues start. This text is come up red during the install before is exits.

[email protected]:~ $ sudo su -s /bin/bash homeassistant
[email protected]:/home/pi$ source /srv/homeassistant/homeassistant_venv/bin/activate
(homeassistant_venv) [email protected]:/home/pi$ pip3 install --upgrade homeassistant
Collecting homeassistant
Using cached homeassistant-0.36.0-py2.py3-none-any.whl
Requirement already up-to-date: pip>=7.0.0 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Collecting aiohttp==1.2 (from homeassistant)
Requirement already up-to-date: pytz>=2016.10 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Requirement already up-to-date: pyyaml<4,>=3.11 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Requirement already up-to-date: requests<3,>=2 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Requirement already up-to-date: typing<4,>=3 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Requirement already up-to-date: async-timeout==1.1.0 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Requirement already up-to-date: jinja2>=2.8 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from homeassistant)
Collecting voluptuous==0.9.3 (from homeassistant)
Requirement already up-to-date: chardet in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from aiohttp==1.2->homeassistant)
Requirement already up-to-date: yarl>=0.8.1 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from aiohttp==1.2->homeassistant)
Requirement already up-to-date: multidict>=2.1.4 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from aiohttp==1.2->homeassistant)
Requirement already up-to-date: MarkupSafe>=0.23 in /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages (from jinja2>=2.8->homeassistant)
Collecting setuptools>=0.6b1 (from voluptuous==0.9.3->homeassistant)
Using cached setuptools-33.1.1-py2.py3-none-any.whl
Installing collected packages: aiohttp, setuptools, voluptuous, homeassistant
Found existing installation: aiohttp 1.1.6
Uninstalling aiohttp-1.1.6:
Exception:
Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/shutil.py”, line 522, in move
os.rename(src, real_dst).

This is where the permission errors start. If anyone can tell me the correct permissions it is a pretty easy fix. If am sudo per the upgrade directions I see no reason why I would be getting a permission denied error.

PermissionError: [Errno 13] Permission denied: ‘/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/aiohttp-1.1.6.dist-info/DESCRIPTION.rst’ -> '/tmp/pip-gpw1r6x7-uninstall/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/aiohttp-1.1.6.dist-info/DESCRIPTION.rs

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/pip/basecommand.py”, line 215, in main
status = self.run(options, args)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/pip/commands/install.py”, line 342, in run
prefix=options.prefix_path,
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/pip/req/req_set.py”, line 778, in install
requirement.uninstall(auto_confirm=True)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/pip/req/req_install.py”, line 754, in uninstall
paths_to_remove.remove(auto_confirm)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/pip/req/req_uninstall.py”, line 115, in remove
renames(path, new_path)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/pip/utils/init.py”, line 267, in renames
shutil.move(old, new)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/shutil.py”, line 535, in move
os.unlink(src)
PermissionError: [Errno 13] Permission denied: ‘/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/aiohttp-1.1.6.dist-info/DESCRIPTION.rst’

0 Likes

#2
0 Likes

#3

Be sure that you’ve stopped HASS before upgrading.

0 Likes